import request from '@/utils/request'

// 查询任务中心列表
export function listAppletTask(query) {
  return request({
    url: '/model/AppletTask/list',
    method: 'get',
    params: query
  })
}

// 查询任务中心详细
export function getAppletTask(id) {
  return request({
    url: '/model/AppletTask/' + id,
    method: 'get'
  })
}

// 新增任务中心
export function addAppletTask(data) {
  return request({
    url: '/model/AppletTask',
    method: 'post',
    data: data
  })
}

// 修改任务中心
export function updateAppletTask(data) {
  return request({
    url: '/model/AppletTask',
    method: 'put',
    data: data
  })
}

// 删除任务中心
export function delAppletTask(id) {
  return request({
    url: '/model/AppletTask/' + id,
    method: 'delete'
  })
}

// 导出任务中心
export function exportAppletTask(query) {
  return request({
    url: '/model/AppletTask/export',
    method: 'get',
    params: query
  })
}
